* {
    padding: 0;
    margin: 0;
}

html,
body {
    overflow-x: hidden;
    width: 100%;
}

body {
    width: 100%;
    padding-top: 50px;
    font-family: sans-serif;
    background-color: #F8F9FA;
}

body p {
    color: #003366;

}

.header {

    height: 80px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid black;
    background-color: #e0f7f4;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1000;

}


.logo {
    margin-left: 4%;
    display: flex;
}

.logo img {
    height: 170px;
    width: 200px;
}

.headerlist {
    display: flex;
    align-items: center;
    gap: 30px;

}

.hometext {
    margin: 0%;
    padding: 100px;
    margin-bottom: 5%;
    margin-top: 5%;
    color: #0D1B2A;
    width: 50%;
}

.hometext h3 {
    color: #003366;
}

.homelink {
    display: block;

    margin-left: 10%;
    margin-bottom: 35px;
    text-decoration: underline;
    color: #003366;
}

.homelogo {
    padding: 50px;
    margin: 0%;
    width: 50%;
}

.homediv1,
.homediv2,
.homediv3 {
    display: flex;
    padding: 10px;
    align-items: center;
    justify-content: space-between;
}

.next-button1,
.next-button2,
.next-button3 {
    position: absolute;
    top: 50%;
    right: 20px;
    font-size: 30px;
    color: white;
    cursor: pointer;
    background-color: rgba(0, 0, 0, 0.4);
    padding: 10px;
}

.prev-button1,
.prev-button2,
.prev-button3 {
    position: absolute;
    top: 50%;
    left: 20px;
    font-size: 30px;
    color: white;
    cursor: pointer;
    background-color: rgba(0, 0, 0, 0.4);
    padding: 10px;
}

a {
    margin: 20px;
    font-size: 18px;
    color: #0D1B2A;
    text-decoration: none;
}

a:hover {
    cursor: pointer;
    text-decoration: underline;
}

.homepage {
    position: relative;
    height: 700px;
    overflow: hidden;
}

.homemobile {
    display: none;
}

.homediv {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    opacity: 0;
    pointer-events: none;
    transition: opacity 0.8s ease-in-out;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #f0f0f0;
    height: 100%;
}

.homediv.active {
    opacity: 1;
    pointer-events: auto;
    z-index: 1;
}

.headermobile {
    margin-right: 20px;
    display: none;
}

.contactbtn {
    padding: 10px 20px;
    font-size: 16px;
    border-radius: 4px;
    background-color: #00b4d8;
    color: whitesmoke;
    border: none;
    cursor: pointer;
    width: fit-content;
}

.about {
    margin-top: 2%;
    margin-bottom: 2%;
}

.aboutinfo {
    padding: 30px;
}

.aboutinfo h1,
h3 {
    color: #0D1B2A;
}

.aboutcontent {
    padding: 30px;
}

.aboutcontent h1 {
    color: #0D1B2A;
}


.about-highlights {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 25px;
    margin-top: 30px;
    padding: 0 20px;
}

.highlight {
    background-color: #f2fdfc;
    border-left: 5px solid #00bfa6;
    padding: 20px;
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.05);
    transition: box-shadow 0.3s ease;
}

.highlight:hover {
    box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
}

.highlight h3 {
    color: #0D1B2A;
    margin-bottom: 10px;
}

.highlight p {
    color: #003366;
    font-size: 0.95rem;
}

.servicetab,
.servicetab a {
    padding: 10px;
    margin: 1px;
    width: 100px;
    background-color: #00b4d8;
}

.servicesmenu {
    position: relative;
}

.servicesmenu:hover .subservicesmenu {
    display: block;
}

.subservicesmenu {
    position: absolute;
    display: none;
}

.subservicesmenu a {
    display: block;
    padding: 10px 20px;
    margin: 0;
    color: #0D1B2A;
    text-decoration: none;
}

.subservicesmenu a:hover {
    text-decoration: underline;
    color: #e0f7fa;
}

.formname {
    display: flex;
    flex-direction: row;
    margin-bottom: 10px;
    gap: 90px;
    color: #0D1B2A;
}

form {
    margin-top: 4%;
}

label {
    width: 150px;
}

.contactimage {
    background-image: url(../images/Contact.jpg);
    background-size: cover;
    background-position: center;
    height: 400px;
    position: relative;
    overflow: hidden;
}

.contactcontents {
    display: flex;
    flex-direction: column;
    justify-content: center;
    width: 100%;
    gap: 70px;
}

.contactpageinfo {
    display: flex;
    padding: 15px;

}

.contactpage {
    padding: 50px;
    width: 50%;
    justify-items: center;
}

.contactinfo {
    padding: 100px;
    color: #0D1B2A;
    margin: 15px;
    width: 50%;
}


.contactinfo h2 {
    margin-bottom: 30px;
}

.contactdets {
    display: flex;
    padding: 2px;
    gap: 10px;

}



.contactForm input,
label,
button {
    padding: 10px 12px;
}

.contactForm input {
    box-sizing: border-box;
    border: 1px solid #ccc;
    border-radius: 4px;
}

.contactForm button {
    background-color: #0D1B2A;
    color: white;
    cursor: pointer;
}

.contactbutton {
    padding: 10px 30px;
    background-color: #00b4d8;
    color: white;
    border: none;
    border-radius: 4px;

}

.messagetext {
    display: none;
}



.testingservicesinfo {

    padding: 15px;
    margin: 15px;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;

}

.testingservicesdata {
    background-color: #f8fafa;
    border-left: 5px solid #00b4d8;
    color: #0D1B2A;
    margin: 25px;
    padding: 10px;
    min-width: 100px;
    max-width: 350px;
    text-align: center;
    transition: all 0.3s ease;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    border-radius: 10px;
}

.testingservicesdata p {
    font-size: 1.1rem;
    padding: 10px;
    margin: 10px auto;
    width: 80%;
    /* or remove this if unnecessary */
}

.testingservicesdata:hover {
    background-color: #e0f7f4;
    /* light tint of teal */
    transform: translateY(-5px);
    /* slight lift */
    box-shadow: 0 10px 16px rgba(0, 0, 0, 0.15);
}

.T24Servicesdata {
    background-color: #f8fafa;
    border-left: 5px solid #00b4d8;
    color: #0D1B2A;
    margin: 25px;
    padding: 10px;
}

.T24Servicesheader {
    display: flex;

}

.T24Serviceslist {
    margin: 10px 30px;
}

.T24Servicesinfo {
    padding: 15px;
    margin: 15px;
    font-family: sans-serif;
    font-size: 16px;
    line-height: 1.2;
    color: #0D1B2A;
}

.T24Servicesinfo h2 {
    margin-top: 20px;
    margin-bottom: 20px;
}

.ITservicesinfo {
    padding: 15px;
    margin: 15px;
    font-family: sans-serif;
    font-size: 16px;
    line-height: 1.2;
    color: #0D1B2A;
    width: 90%;
}

.ITservicedetails {
    display: flex;
    margin: 20px;
}


.ITservicedata {
    margin-top: 100px;
    margin-left: 10px;
}

.testingservicesimage {
    background:
        linear-gradient(rgba(0, 0, 0, 0.116), rgba(0, 0, 0, 0.4)),
        url(../images/TestingServices.jpg);

    background-size: cover;
    height: 400px;
    overflow: hidden;
    position: relative;
    margin-top: 30px;
}

.T24Servicesimage {
    background-image: url(../images/T24Image.jpg);
    background-size: cover;
    background-position: bottom;
    height: 400px;
    overflow: hidden;
    position: relative;

}

.ITServicesimage {
    background-image: url(../images/ITServices.jpg);
    background-size: cover;
    background-position: center;
    height: 400px;
    overflow: hidden;
    position: relative;
}

.imagetext {
    color: #e0f7f4;
    font-size: 4ch;
    text-align: center;
    padding: 130px;
    position: relative;
    z-index: 2;

    /* Add animation */
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 1s ease-out forwards;
    animation-delay: 0.3s;


}

.ServiceContact {
    display: none;
}

/* Define the animation keyframes */
@keyframes fadeInUp {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.imageoverlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;

}

.footer {

    background-color: #00b4d8;
    color: #e0f7f4;
    padding: 40px 20px;
    font-family: Arial, Helvetica, sans-serif;
}

.footer-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    max-width: 1200px;
    margin: auto;
    gap: 15px;
}


.footer-section {
    flex: 1 1 220px;
}

.footer-section h3 {
    margin-bottom: 15px;
    font-size: 18px;
    color: #0D1B2A;
}


.footer-section a {
    color: #e0f7f4;
    text-decoration: none;
    margin-left: 0;
}

.footer-section a:hover {
    text-decoration: underline;
    color: #0D1B2A;
}

.footer-section p {
    color: #e0f7f4;
}

.footer-section img {
    height: 120px;
    width: 200px;
    background-color: #e0f7f4;
    padding: 5px;
}

.social-icons a {

    font-size: 20px;
    margin: 0;
    transition: color 0.3s;
}

.social-icons i:hover {
    color: #003366;
    cursor: pointer;
}

.footer-section input[type="email"] {
    padding: 8px;
    width: 70%;
    border: none;
    border-radius: 4px;
    margin-bottom: 10px;
}

.footer-section button {
    padding: 8px 15px;
    background-color: #0D1B2A;
    color: #e0f7f4;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}


.footer-bottom {
    text-align: center;
    padding-top: 20px;
    border-top: 1px solid #444;
    margin-top: 20px;
    font-size: 14px;
}

.thanksbody {
    background-color: #f5f5f5;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 90vh;
    margin: 0;
}


.thankyou-container {
    text-align: center;
    background-color: #e0f7f4;
    padding: 200px;
    border-radius: 10px;
    box-shadow: 0 0 15px rgba(0, 0, 0, 0.1);
}

.thankyou-container h1 {
    color: #003366;
    margin-bottom: 20px;
}

.thankyou-container p {
    font-size: 18px;
    color: #333;
}

.thankyou-container a {
    display: inline-block;
    margin-top: 20px;
    padding: 10px 20px;
    background-color: #00b4d8;
    color: #fff;
    text-decoration: none;
    border-radius: 5px;
}

.thankyou-container a:hover {
    background-color: #003366
}

@media only screen and (max-width: 768px) {

    .ITservicedetails {
        flex-direction: column;
    }

    .ITservicedata {
        margin: 0 0 10px 0;
        font-size: 1.5ch;
        order: 1;
    }


    .ITserviceimage1,
    .ITserviceimage2,
    .ITserviceimage3,
    .ITserviceimage4,
    .ITserviceimage5 {
        order: 2;
    }

    .ITservicedetails img {
        width: 100%;
        height: auto;
    }

    .T24Servicesheader {
        display: block;
        text-align: center;
    }

    .testingservicesinfo {
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .imagetext h1 {
        font-size: 2ch;

    }

    .contactimage,
    .T24Servicesimage,
    .ITServicesimage,
    .testingservicesimage {
        display: flex;
        justify-content: center;
        align-items: center;
    }

    .homepage {
        display: none;
    }

    .homemobile {
        display: block;
        width: 100%;
    }

    .homemobile h2 {
        color: #0D1B2A;
        padding: 10px;
        margin-top: 10px;
        margin-bottom: 10px;
    }

    .homemobile p {
        padding: 10px;
    }

    .mobileintro-highlight {
        padding: 50px;
        min-height: 150px;
        text-align: center;
    }

    .mobileintro-highlight p {
        margin-bottom: 25px;
    }

    .mobileintro-highlight a {
        cursor: pointer;
        position: relative;
        z-index: 20;
    }

    .mobileimage {
        background-image: url(../images/CordiTechMobile.jpg);
        background-size: cover;
        background-position: left;
        background-repeat: no-repeat;
        aspect-ratio: 16/9;
        width: 100%;
    }

    .mobilechooseusicons {
        display: flex;
        align-items: center;
        gap: 10px;
        margin-bottom: 12px;
        margin-left: 10px;
        background-color: white;
        padding: 10px 12px;
        border-radius: 6px;
        box-shadow: 0 1px 3px rgba(0, 0, 0, 0.1);
    }

    .mobilechooseusicons p {
        font-size: 16px;
        margin: 0;
    }

    .mobilechooseusicons i {
        font-size: 24px;
        color: #00b4d8;
        background-color: #e0f7fa;
        padding: 8px;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
        min-width: 40px;
        min-height: 40px;
    }

    .contactbtn {
        cursor: pointer;
    }

    .mobilevalues,
    .mobileservices,
    .mobilechooseus,
    .mobileintro,
    .mobilecontact {
        padding: 20px;
    }

    .corevalue {
        display: flex;
        flex-direction: column;
        align-items: start;
        gap: 10px;
        margin-bottom: 15px;
        font-size: 10px;
        background-color: #f8fafa;
        border-left: 5px solid #00b4d8;
        padding: 10px;
    }

    .corevalue i {
        font-size: 24px;
        margin-left: 10px;
    }

    .corevalue p {
        font-size: 16px;
    }

    .corevalue h2 {
        margin-left: 10px;
    }

    .mobileservicesdesc {

        font-size: 10px;
        padding: 20px;
        margin-top: 10px;
        margin-bottom: 10px;
        border-left: 5px solid #00b4d8;
        box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    }

    .mobileservicesdesc h2 {
        margin-bottom: 20px;
    }

    .mobileservicesdesc:hover,
    .corevalue:hover {
        background-color: #e0f7f4;
        transform: translateY(-5px);
        box-shadow: 0 10px 16px rgba(0, 0, 0, 0.15);
    }

    .mobileimaget24 {
        background-image: url(../images/T24Image.jpg);
        background-size: cover;
        aspect-ratio: 16/9;
    }

    .mobileimageQA {
        background:
            linear-gradient(rgba(0, 0, 0, 0.116), rgba(0, 0, 0, 0.4)),
            url(../images/TestingServices.jpg);

        background-size: cover;
        aspect-ratio: 16/9;
    }

    .mobileimageIT {
        background-image: url(../images/ITServices.jpg);
        background-size: cover;
        aspect-ratio: 16/9;
    }

    .mobileimagetext {
        font-size: 1rem;
        text-align: center;
        padding-top: 40px;
    }

    .mobileimagetext h1 {
        color: #e0f7f4;
    }

    .mobileservicesdesc a {
        margin-left: 10px;
        color: #003366;
        text-decoration: underline;
    }


    .logo {
        flex-direction: column;
        align-items: flex-start
    }

    .logotext {
        text-align: left;
    }

    .headerlist {
        display: none;
        flex-direction: column;
    }

    .headermobile {
        display: block;
        font-size: larger;
        padding: 6px;
        color: #0D1B2A;

        background-color: #00b4d8
    }

    .headermobile:hover {
        cursor: pointer;
    }

    .headerlist.show {
        display: flex;
        flex-direction: column;
        position: absolute;
        top: 60px;
        left: 0;
        width: 100%;
        background-color: #e0f7f4;
        z-index: 9999;
        box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
        transition: all 0.3s ease;
    }

    .headerlist.show a {
        padding: 6px 12px;
        margin: 0;
        font-size: 16px;
    }


    .contactpageinfo {
        flex-direction: column;
        align-items: center;
        padding: 20px;
    }

    .contactpage,
    .contactinfo {
        width: 100%;
        padding: 20px;
        margin: 0;
        box-sizing: border-box;
    }

    .contactinfo {
        text-align: center;
    }

    .contactdets {
        justify-content: center;
        text-align: left;
    }

    .formname {
        display: flex;
        flex-direction: column;
        margin-bottom: 20px;
        width: 100%;
        gap: 2px;
    }


    .contactForm input,
    .contactForm textarea,
    .contactForm button {
        width: 100%;
    }


    .footer-section a {
        margin-left: 0;
    }

    .ServiceContact {
        display: flex;
        justify-content: center;
        position: fixed;
        bottom: 40px;
        right: 40px;
    }
}